<?xml version="1.0"?>
<block>
  <name>Bit Packer</name>
  <key>jay_bit_packer</key>
  <category>[JAY]</category>
  <import>import jay</import>
  <make>jay.bit_packer($numBitsIn, $numBitsOut, $endianess)</make>
  <param>
    <name>Number of input bits</name>
    <key>numBitsIn</key>
    <type>int</type>
  </param>
  <param>
    <name>Number of output bits</name>
    <key>numBitsOut</key>
    <type>int</type>
  </param>
  <param>
    <name>Endianess</name>
    <key>endianess</key>
    <type>int</type>
  </param>
  <sink>
    <name>in</name>
    <type>int</type>
  </sink>
  <source>
    <name>out</name>
    <type>int</type>
  </source>
</block>
